package com.liquidnet.service.kylin.dto.vo.ticketSystem;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@ApiModel
public class CheckVo implements Serializable {
    private static final long serialVersionUID = 4073256621782131607L;
    @ApiModelProperty(value = "票ID [必传]")
    private String ticketId;
    @ApiModelProperty(value = "票价ID [必传]")
    private String priceId;
    @ApiModelProperty(value = "场次id [必传]")
    private String sessionId;
    @ApiModelProperty(value = "场次编码 [必传]")
    private String sessionCode;
    @ApiModelProperty(value = "检票时间 [必传]")
    private LocalDateTime checkingTime;
    @ApiModelProperty(value = "检票类型[必传 1 二维码电子票，2 身份证，3 纸质票]")
    private Integer checkingType;
    @ApiModelProperty(value = "是否实名[必传 1 实名，2 非实名]")
    private Integer authType;

    private static final CheckVo obj = new CheckVo();

    public static CheckVo getNew() {
        try {
            return (CheckVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new CheckVo();
        }
    }
}
